with GNATCOM.Dispinterface;

package MSHTML.IHTMLSelectionObject2_Interface is

   type IHTMLSelectionObject2_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Initialize (This : in out IHTMLSelectionObject2_Type);

   function Pointer (This : IHTMLSelectionObject2_Type)
     return Pointer_To_IHTMLSelectionObject2;

   procedure Attach (This    : in out IHTMLSelectionObject2_Type;
                     Pointer : in     Pointer_To_IHTMLSelectionObject2);

   function createRangeCollection
     (This            : IHTMLSelectionObject2_Type)
     return GNATCOM.Types.Pointer_To_IDispatch;

   function Get_typeDetail
     (This : IHTMLSelectionObject2_Type)
     return GNATCOM.Types.BSTR;

end MSHTML.IHTMLSelectionObject2_Interface;

